<div class="text-center m-lg-5">
  <h1 class="text-lg-center dark">Ladder</h1>

  <span class="flex flex-row align-items-center">
    {{currentUser.pseudo}} {{currentUser.numberOfClicks + currentUser.stack}} clicks !
    <button class="btn bg-dark text-white btn-group-lg m-2 font-weight-bold" (click)="onClick()">Click !</button>
    <button class="btn bg-dark text-white btn-group-lg m-2 font-weight-bold" (click)="loadUsers()">Refresh</button>
  </span>

  <table class="table table-striped">
    <thead class="thead-dark">
    <tr>
      <th scope="col">Ladder</th>
      <th scope="col">Pseudo</th>
      <th scope="col">Clicks</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let user of users; let index = index;">
      <td>{{index + 1}}</td>
      <td>{{user.pseudo}}</td>
      <td>{{user.numberOfClicks}}</td>
    </tr>
  </table>
</div>
